using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class VoltarOuReiniciar : MonoBehaviour {

    public GameObject gerenciador;
    public string[] respostas;
    public string pergunta;
    public string respostaCorreta;
    public string respostaSelecionada;
    public Text[] textoPerguntas;//referência do objeto UI setado na aba propriedades
    public Text perguntaNaTela;//referência do objeto UI setado na aba propriedades
    public string opcaoEscolhida;


    void Start()
    {
        SetarRespostas(); //Setar respostas aos elementos de UI
        SetarPergunta();//Setar a pergunta ao elemento de UI

        gerenciador = GameObject.Find("Gerenciador");
        RdTamanhoLetraPergunta();
    }
    void RdTamanhoLetraPergunta()
    {
        if (respostas[0].Length > 10)
        {
            perguntaNaTela.fontSize = 9;
        }
        if (respostas[1].Length > 10)
        {
            perguntaNaTela.fontSize = 9;
        }
    }


    private void SetarRespostas()
    {
        for (int i = 0; i < respostas.Length; i++)
        {

            textoPerguntas[i].text = respostas[i];
        }
    }

    public void PrimeiraResposta()
    {
        Application.LoadLevel("Inicio");

    }
    public void SegundaResposta()
    {
        AnteriorLv2();
        AnteriorLv3();
        AnteriorLv4();
        

    }

    public void SetarPergunta()
    {
        perguntaNaTela.text = pergunta;
    }

    
    private void AnteriorLv2()
    {
        if (Application.loadedLevelName == "Lv2 - Carnivoro")
        {
            Application.LoadLevel("Carnivoro");
        }
        if (Application.loadedLevelName == "Lv2 - Herbivoro")
        {
            Application.LoadLevel("Herbivoro");
        }
        if (Application.loadedLevelName == "Lv2 - Onivoro")
        {
            Application.LoadLevel("Onivoro");
        }
    }
    private void AnteriorLv3()
    {
        if (Application.loadedLevelName == "Lv3 - Carnivoro")
        {
            Application.LoadLevel("Lv2 - Carnivoro");
        }
        if (Application.loadedLevelName == "Lv3 - Herbivoro")
        {
            Application.LoadLevel("Lv2 - Herbivoro");
        }
        if (Application.loadedLevelName == "Lv3 - Onivoro")
        {
            Application.LoadLevel("Lv2 - Onivoro");
        }
    }
    private void AnteriorLv4()
    {
        if (Application.loadedLevelName == "Lv4 - Carnivoro")
        {
            Application.LoadLevel("Lv3 - Carnivoro");
        }
        if (Application.loadedLevelName == "Lv4 - Herbivoro")
        {
            Application.LoadLevel("Lv3 - Herbivoro");
        }
        if (Application.loadedLevelName == "Lv4 - Onivoro")
        {
            Application.LoadLevel("Lv3 - Onivoro");
        }
    }

}